The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"alterMIME и различные кодировки"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Открытые системы на сервере (Почта / Linux)
Изначальное сообщение [ Отслеживать ]

"alterMIME и различные кодировки"  +/
Сообщение от deys email(ok) on 06-Фев-12, 12:05 
Потребовалось вставить во все исходящие письма определенны текст. Типа "письмо создано с использование корпоративной почты, не предназначенной для личной переписки". Погуглил.
Пытаюсь разобраться с alterMIME + postfix. Вроде ничего сложного, нормально добавляет указанный текст, но есть одно большое НО... Текст сообщения, которое добавляется в письма в koi8-r. А если у человека в настройках стоит cp1251 или utf8 - прикрепленный текст получаем нечитаемым. Пройти по всем пользователям является нереальным - человек 700. Как можно побороть такое?
Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "alterMIME и различные кодировки"  +/
Сообщение от deys email(ok) on 08-Фев-12, 12:46 
вообщем отвечу, получается, сам себе. Пришлось поправить скрипт /etc/postfix/disclaimer


#!/bin/sh
# Localize these.
INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69


KOI8R="koi8-r"
UTF8="utf-8"
WIN1251="windows-1251"


# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }

cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }


myVariable=$(grep "charset=" in.$$)


if  echo  $myVariable | grep -q $KOI8R ; then

######################
/usr/local/bin/altermime --input=in.$$ \
        --disclaimer=/etc/postfix/disclaimer-koi.txt \
        --disclaimer-html=/etc/postfix/disclaimer-koi.txt \
        --disclaimer-b64=/etc/postfix/disclaimer-koi.txt \
        --xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || \
                                        { echo Message content rejected; exit $EX_UNAVAILABLE; }
#####################

else

if  echo  $myVariable | grep -q $UTF8 ; then
######################
/usr/local/bin/altermime --input=in.$$ \
        --disclaimer=/etc/postfix/disclaimer-utf.txt \
        --disclaimer-html=/etc/postfix/disclaimer-utf.txt \
        --disclaimer-b64=/etc/postfix/disclaimer-utf.txt \
        --xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || \
                                        { echo Message content rejected; exit $EX_UNAVAILABLE; }
#####################


else

if  echo  $myVariable | grep -q $WIN1251 ; then

######################
/usr/local/bin/altermime --input=in.$$ \
        --disclaimer=/etc/postfix/disclaimer-win.txt \
        --disclaimer-html=/etc/postfix/disclaimer-win.txt \
        --disclaimer-b64=/etc/postfix/disclaimer-win.txt \
        --xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || \
                                        { echo Message content rejected; exit $EX_UNAVAILABLE; }
#####################


fi
fi
fi

$SENDMAIL -oi "$@" <in.$$

exit $?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру